models/formulario4.php
<?php

namespace app\models;

use DateTime;
use yii\base\Model;

/**
 * Formulario4
 *  */
class Formulario4 extends Model
{
    public ?string $nombre = null; //cuadro de texto
    public ?int $edad = null; //cuadro de numero
    public ?int $mes = null; // desplegable
    public ?int $categoria = null; //cuadro de lista
    public ?string $dia = null;
    public array $aficiones = []; //multiple
    public array $opciones = []; // multiple
    public ?string $fecha = null; //tipo date

    public function attributeLabels(): array
    {
        return [
            "nombre" => "Nombre completo",
            "edad" => "Edad",
            "mes" => "Mes Uso",
            "categoria" => "Categoría Herramienta",
            "dia" => "Día Uso",
            "aficiones" => "Aficiones",
            "opciones" => "Opciones alquiler",
            "fecha" => "Fecha Alta"
        ];
    }

    public function rules(): array
    {
        return [
            [["nombre", "edad", "mes", "categoria", "dia", "aficiones", "opciones", "fecha"], "safe"],
        ];
    }
    public function getMeses(): array
    {
        return [
            1 => "Enero",
            2 => "Febrero",
            3 => "Marzo",
            4 => "Abril",
            5 => "Mayo",
            6 => "Junio",
            7 => "Julio",
            8 => "Agosto",
            9 => "Septiembre",
            10 => "Octubre",
            11 => "Noviembre",
            12 => "Diciembre",
        ];
    }

    public function getMostraraficiones()
    {
        return ["Lectura", "Deporte", "Tv", "Informática"];
    }
    public function getMostraropciones()
    {
        return ["Día completo", "Con carga", "Limpieza incluida"];
    }
    public function getCategorias()
    {
        return ["A", "B", "C"];
    }
    public function getDias()
    {
        return ["Domingo", "Lunes", "Miércoles", "Viernes"];
    }
    public function getAficionestexto()
    {
        return join(",", $this->aficiones);
    }
    public function getOpcionestexto()
    {
        return join(",", $this->opciones);
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    public function actionEjercicio1()
    {
        $model = new \app\models\formulario1();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return $this->render("solucion1", ["model" => $model]);
            }
        }

        return $this->render('ejercicio1', [
            'model' => $model,
        ]);
    }
    public function actionEjercicio2()
    {
        $model = new \app\models\formulario2();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return $this->render("solucion2", ["model" => $model]);
            }
        }

        return $this->render('ejercicio2', [
            'model' => $model,
        ]);
    }
    public function actionEjercicio3()
    {
        $model = new \app\models\formulario3();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render("solucion3", [
                    "model" => $model
                ]);
            }
        }

        return $this->render('ejercicio3', [
            'model' => $model,
        ]);
    }
    public function actionEjercicio4()
    {
        $model = new \app\models\formulario4();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return $this->render("solucion4", [
                    "model" => $model
                ]);
            }
        }

        return $this->render('ejercicio4', [
            'model' => $model,
        ]);
    }
    public function actionEjercicio5()
    {
        $model = new \app\models\formulario5();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return $this->render("solucion5", ["model" => $model]);
            }
        }

        return $this->render('ejercicio5', [
            'model' => $model,
        ]);
    }
    public function actionEjercicio6()
    {
        $model = new \app\models\formulario6();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return $this->render("solucion6", ["model" => $model]);
            }
        }

        return $this->render('ejercicio6', [
            'model' => $model,
        ]);
    }
}

views/site/ejercicio1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario1 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio1">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'numero1')->input("number") ?>
    <?= $form->field($model, 'numero2')->input("number") ?>
    <?= $form->field($model, 'descripcion') ?>

    <div class="form-group">
        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio1 -->

views/site/ejercicio2.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario2 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio2">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'numero1') ?>
    <?= $form->field($model, 'numero2') ?>

    <div class="form-group">
        <?= Html::submitButton('Enviar', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio2 -->

views/site/ejercicio3.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario3 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio3">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'dia')->input('number', ['placeholder' => 'Escribe número de día']) ?>
    <?= $form->field($model, 'mes')->dropDownList($model->meses(), ['prompt' => 'Selecciona un mes']) ?>
    <?= $form->field($model, 'poblacion')->listBox($model->poblaciones()) ?>

    <div class="form-group">
        <?= Html::submitButton('Enviar', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio3 -->

views/site/ejercicio4.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario4 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio4">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre')->textInput(["placeholder" => "Introduce nombre completo"]) ?>
    <?= $form->field($model, 'edad')->input("number") ?>
    <?= $form->field($model, 'mes')->dropDownList($model->meses, ["prompt" => "Selecciona el mes"]) ?>
    <?= $form->field($model, 'categoria')->radioList($model->categorias) ?>
    <?= $form->field($model, 'dia')->listBox($model->dias) ?>
    <?= $form->field($model, 'aficiones')->checkboxList($model->mostraraficiones) ?>
    <?= $form->field($model, 'opciones')->listBox($model->mostraropciones, ["multiple" => "multiple"]) ?>
    <?= $form->field($model, 'fecha')->input("date") ?>

    <div class="form-group">
        <?= Html::submitButton('Enviar', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio4 -->

views/site/ejercicio5.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario5 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio5">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre')->textInput(["placeholder" => "Introduce tu nombre"]) ?>
    <?= $form->field($model, 'apellidos')->textInput(["placeholder" => "Introduce tus apellidos"]) ?>
    <?= $form->field($model, 'fechaNacimiento')->input("date") ?>
    <?= $form->field($model, 'correo')->input("email") ?>
    <?= $form->field($model, 'poblacion')->dropDownList($model->poblaciones, ["prompt" => "Escoge una población"]) ?>
    <?= $form->field($model, 'mes')->checkboxList($model->meses) ?>

    <div class="form-group">
        <?= Html::submitButton('Enviar', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio5 -->

views/site/ejercicio6.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\formulario6 $model */
/** @var ActiveForm $form */
?>
<div class="site-ejercicio6">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'activado')->checkbox($model->activar())  ?>
    <?= $form->field($model, 'mes')->dropDownList($model->meses(), ["prompt" => "Selecciona mes"]) ?>
    <?= $form->field($model, 'opcion')->radioList($model->opciones()) ?>
    <?= $form->field($model, 'dia')->listBox($model->dias()) ?>
    <?= $form->field($model, 'id')->input("number") ?>
    <?= $form->field($model, 'fecha')->input("date") ?>
    <?= $form->field($model, 'nombre')->fileInput() ?>

    <div class="form-group">
        <?= Html::submitButton('Enviar', ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio6 -->

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/** @var yii\web\View $this */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent mt-5 mb-5">
        <h1 class="display-4">Formularios</h1>
    </div>

</div>

views/site/solucion1.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget(["model" => $model]);

?>

<h5>La suma es: <?= $model->suma() ?></h5>
<h5>El número de vocales es: <?= $model->vocales1() ?></h5>

views/site/solucion2.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
    "model" => $model,
    "attributes" => [
        "numero1", "numero2",
        [
            "attribute" => "Suma", "value" => function ($model) {
                return $model->suma();
            }
        ],
    ]
]);

?>

<div style="font-size: medium;font-weight:bold;border:1px solid #ccc;padding:10px">
    <div>Suma: <?= $model->suma() ?> </div>
    <div>Resta: <?= $model->resta() ?></div>
    <div>Producto: <?= $model->producto() ?> </div>
    <div>Cociente: <?= $model->cociente() ?></div>
</div>

views/site/solucion3.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget(["model" => $model]);

views/site/solucion4.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget(["model" => $model, "attributes" => ["nombre", "edad", "mes", "categoria", "dia", "fecha"]]);

views/site/solucion5.php
<?php

echo \yii\widgets\DetailView::widget([
    "model" => $model,
    "attributes" => [
        "nombre",
        "apellidos",
        "fechaNacimiento",
        "correo",
        "poblacion",
        "mesesTexto"
    ],
]);

views/site/solucion6.php
<?php

echo \yii\widgets\DetailView::widget([
    "model" => $model, "attributes" => [
        "activado", "mes", "opcion", "dia", "id", "fecha", [
            "attribute" => "nombre",
            "format" => "raw",
            "value" => function ($model) {
                return \yii\helpers\Html::a(
                    $model->nombre,
                    "@web/pdf/" . $model->nombre,
                    ["class" => "btn btn-primary"]
                );
            }
        ]
    ],
]);